#line 1 "C:/Users/Prokopy Ivov/Desktop/pic12f1840_MCP4921/code/pic12f1840_MCP4921.c"
sbit Chip_Select at RA4_bit;
sbit Chip_Select_Direction at TRISA4_bit;

void InitMain() {

 ANSELA = 0x00;
 CM1CON0 = 0x07;
 TRISA0_bit = 0;
 Chip_Select = 1;
 Chip_Select_Direction = 0;
 SPI1_Init();

 return;
}

void DAC_Output(unsigned int valueDAC) {
char sL, sH;

 sL = valueDAC;
 sH = (valueDAC >> 8) & 0x0F;
 sH |= 0x30;

 Chip_Select = 0;
 SPI1_Write(sH);
 SPI1_Write(sL);
 Chip_Select = 1;

 return;
}


void main() {
float angle = 0.;
unsigned int value = 0;

 InitMain();

 while (1) {

 value = (int)(2047. * (1. + sin(angle *  3.14159265359 / 180. )));
 angle += 1.;
 if (angle > 359.) angle = 0.;
 DAC_Output(value);
 Delay_us(100);
 }

 return;
}
